package goods

import (
	"spaceofcheng/services/models/model"
)

// GetGoodsSpec 获取商品规格列表
func (c *GoodsController) GetGoodsSpec() {
	caseids := c.GetString("caseid")
	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	page, _ := c.GetInt("page")
	pageSize, _ := c.GetInt("pagesize")
	goodsSpec, err := c.serv.GetGoodsSpec(caseids, page, pageSize)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(goodsSpec)
}

// GetGoodsSpecByID 根据ID获取商品分类
func (c *GoodsController) GetGoodsSpecByID() {
	specid := c.GetString(":specid")
	goodsSpec, err := c.serv.GetGoodsSpecByID(specid)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(goodsSpec)
}

// SaveGoodsSpec 保存商品分类
func (c *GoodsController) SaveGoodsSpec() {
	goodsSpec := model.TdSpec{}
	if err := c.ParseForm(&goodsSpec); err != nil {
		c.ResponseError(err)
	}
	newSpec, err := c.serv.SaveGoodsSpec(goodsSpec)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(newSpec)
}

// DelGoodsSpec 删除商品分类
func (c *GoodsController) DelGoodsSpec() {
	specid := c.GetString(":specid")
	err := c.serv.DelGoodsSpec(specid)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON("删除成功！")
}
